Bug 142132 - installing gtk2-2.4.14-1.fc3 breaks gdm
installing gtk2-2.4.14-1.fc3 breaks gdm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 11:21 EST by Alan Sanderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 12:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Sanderson 2004-12-07 11:21:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-AU; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Installed gtk2-2.4.14-1.fc3 and restarted X. Got message 
"<b>There was an error loading Default theme</b>

Couldn't recognise the image file format for file
'/usr/share/gdm/themes/Default/icon-language.png'"

I was thus unable to log into X/GDM. Looged into CLI, removed
gtk2-2.4.14-1.fc3 with 'rpm -e gtk2-2.4.14-1.fc3
gtk2-devel-2.4.14-1.fc3 --nodeps'. Rebuilt gtk2 and reinstalled.
Restarted X and problem was gone.

Version-Release number of selected component (if applicable):
gtk2-2.4.14-1.fc3

How reproducible:
Didn't try

Steps to Reproduce:
1.Install gtk2-2.4.14-1.fc3
2. Restart X
3. Find oneself unable to log in,except through CLI
    

Actual Results:  Unable to log into X/GDM

Expected Results:  Install gtk2-2.4.14-1.fc3. Restart X. Able to log
into X/GDM without any problems

Additional info:

Some guy who had a similar problem posted a message at
http://www.redhat.com/archives/fedora-test-list/2004-March/msg00665.html
Another guy from whom I got the idea for the solution posted a message
at
http://www.redhat.com/archives/fedora-test-list/2004-March/msg00691.html
except as opposed to the guy in the last message, when I did 'rpm -qa
| grep gtk2' I only found one version of gtk2 installed. Even though I
managed to fix it, it does appear to be a bug of some description.
Comment 1 Matthias Clasen 2004-12-08 08:50:18 EST
Is the problem restricted to gdm, or does it affect all gtk 
applications ? 
Can log in in textmode and do a manual startx ?
What does 

cat /etc/gtk-2.0/*-redhat-linux-gnu/gdk-pixbuf.loaders  | grep png

report after installing 2.4.14-1.fc3 ?
Comment 2 Matthias Clasen 2005-07-11 12:04:06 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.